{% extends 'base.html' %}

{% block content %}

    <header class="bg-dark py-5">
        <div class="container px-4 px-lg-5 my-5">
            <div class="text-center text-white">
                <h1 class="display-4 fw-bolder">Luxury products</h1>
                <p class="lead fw-normal text-white-50 mb-0">Shop in style</p>
            </div>
        </div>
    </header>

    <section class="py-5 bg-light">
        <div class="container px-4 px-lg-5 mt-5">
            <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                {% for product in products %}
                <div class="col mb-5">
                    <div class="card h-100">
                        <!-- Product image-->
                        <img class="card-img-top" src="{{ product.image.url }}" alt="{{ product.name }}" />
                        <!-- Product details-->
                        <div class="card-body p-4">
                            <div class="text-center">
                                <!-- Product name-->
                                <h5 class="fw-bolder">{{ product.name }}</h5>
                                <!-- Product price-->
                                {{ product.price }} €
                            </div>
                        </div>
                        <!-- Product actions-->
                        <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                            <div class="text-center"><a class="btn btn-outline-dark mt-auto" href="{% url 'product_detail' product.pk %}">Details</a><br><br>
                                {% if user.is_authenticated %}
                                <form action="{% url 'add-to-cart' product.id %}" method="post">
                                    {% csrf_token %}
                                    <button class="btn btn-outline-dark mt-auto">Buy</button>
                                </form>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                {% endfor %}    
            </div>
        </div>
    </section>


{% endblock %}